From IDE’s

Netbeans y Zend Framework, primeros pasos

Pues ya tiene algún tiempo que salió la versión 6.9 de Netbeans con soporte para el Zend Framework incluido, en esta ocasión vamos a comenzar a utilizarlo de una forma básica, al menos vamos a crear nuestro primer proyecto basado en Zend Framework y lo comenzaremos a utilizar…

Lo primero que tenemos que hacer es descargar el Zend Framework, tenemos que tomar de ahí la carpeta bin, esta carpeta necesitamos tenerla en una ubicación fija ya que esto es la base del soporte de Netbeans a Zend Framework.

En Netbeans abriremos opciones (Tools -> Options) e iremos a la parte de PHP, ahí llegaremos pestaña de Zend y en el campo que dice Zend Script navegaremos hasta la carpeta bin que mencionamos antes y elegiremos el archivo .bat para windows o el .sh para linux (En caso de que el path este registrado en el sistema Netbeans lo puede encontrar por si solo), en caso de que la versión sea mayor a 1.10 daremos click en el boton “Registrar proveedor”, con esto ya tenemos Netbeans listo para trabajar con Zend Framework.
Read more

Ubuntu 9.10: Netbeans se congela con SVN

Probablemente muchos de ustedes, al igual que yo, ya estaran probando el flamante Ubuntu 9.10… instalamos el nuevo linux, preparamos nuestro entorno de desarrollo web, un clasico lampp, y para terminar nuestra IDE preferida, en este caso yo estoy usando NetBeans 6.7.1, muy bien, ya esta todo listo, es hora de comenzar, primero que nada vamos a realizar un checkout de nuestros proyectos alojados en algun server SVN, y de repente cuando NetBeans se esta conectando al repositorio, se congela!!!… (30 segundos)… xkill para cerrarlo…

nb-splash-screen

Bueno despues de un buen rato de experimentar y estar buscando he dado con la respuesta, al parecer el bug no esta NetBeans sino en el paquete openjdk, lo que vamos a hacer es instalar el paquete sun-java6-jdk y despues modificaremos el archivo /etc/netbeans.conf para que use el nuevo paquete como default, buscamos el texto jdkhome y tiene que quedar asi:

jdkhome /usr/lib/jvm/java-6-sun/

Espero sea de ayuda, un saludo…